import { HttpResponse } from '../@types'
import request from './request'

//道旅酒店API
class DidaService {

  //获取道旅酒店类型
  static async GetDidaPropertyCategory(param: any): Promise<HttpResponse> {
    return request('dmc_post_Get_GetJAPAN_HotelList', param, false)
  }

  //获取道旅餐食类型
  static async GetDidaMealType(param: any): Promise<HttpResponse> {
    return request('dmc_post_Get_GetJAPAN_HotelList', param, false)
  }

  //道旅城市
  static async GetDidaCity(param: any): Promise<HttpResponse> {
    return request('dmc_post_Get_GetJAPAN_HotelList', param, false)
  }

  //道旅床型
  static async GetDidaBedType(param: any): Promise<HttpResponse> {
    return request('dmc_post_Get_GetJAPAN_HotelList', param, false)
  }

  // 道旅酒店列表
  static async GetDidaHotelList(param: any): Promise<HttpResponse> {
    param.reviewRatingUpperLimits = param.reviewRatingUpperLimits && param.reviewRatingUpperLimits != '' ? param.reviewRatingUpperLimits : 0
    param.reviewRatingLowerLimits = param.reviewRatingLowerLimits && param.reviewRatingLowerLimits != '' ? param.reviewRatingLowerLimits : 0
    param.searchMaxRate = param.searchMaxRate && param.searchMaxRate != '' ? param.searchMaxRate : 0
    param.searchMinRate = param.searchMinRate && param.searchMinRate != '' ? param.searchMinRate : 0
    return request('dmc_post_Get_GetJAPAN_HotelList', param, false)
  }
}

export default DidaService
